/*	rdblkhc.c 4.2		*/
/*F****************************************************************************

FUNCTION NAME:	rdblkhc	

ACTION:		Reads count characters from the handshake hardware of Port C.	

PARAMETERS:
		array:	address of an array of bytes to be written to.

		count:	number of bytes to read from port C.

RETURNS:	(void)

******************************************************************************/
#include <hc11/directives.h>

SMALL
void rdblkhc(array, count)

	unsigned short	*array;		/* pointer to data to be read */
	int		count;		/* number of bytes to be read */

	{

	/****************************************************************/
	/*	Note that "while ((count--) > 0)" is equivalent to	*/
	/*	"while ((--count) >= 0)" but the pre-decrement		*/
	/*	version is more efficient than the post-decrement	*/
	/*	version.						*/
	/****************************************************************/

	while ((--count) >= 0)
		*(array++) = rdbythc();

	}	/* end of rdblkhc	*/
